Get user ticketing orders

This API is used to get all ticketing orders of User.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.

AttributesDescription
attendeeThis field returns a list of attendees. List contains following fields of attendee :
  • *firstName :** This field returns first name of attendee.
  • *lastName :** This field returns last name of attendee.
  • *email :** This field returns email of attendee.
  • *qty :** This field returns number of tickets.
  • *ticketType :** This field returns type of ticket.
  • *bundleType :** This field returns type of ticket bundle, value will null if found individual ticket bundle type.
  • *paidAmount :** This field returns total amount paid for a ticket.
  • *status :** This field returns attendee order status, e.g. paid, unpaid
  • *eventTicketingId :** This field returns event ticketing id.
  • *isTable :** This field returns boolean value whether ticket type is table.
  • *seatNumber :** This field returns seat number.
  • *dataType :** This field returns data type.
  • *blocked :** This field returns boolean value for blocked.
  • *userId :** This field returns user id.
  • *phoneNumber :** This field returns phone number of attendee.
  • *isPaidTicket :** This field returns boolean value for whether ticket is paid.
idThis field returns id for host order list
totalAmountThis field returns total order amount.
statusThis field returns order status e.g. paid, partially paid or refunded.
purchaserThis field returns order purchaser information. It contains:
  • *firstName :** This field returns purchaser first name.
  • *lastName :** This field returns last name of purchaser.
  • *email :** This field returns purchase email id.
purchaseDateThis field returns order purchase date.
orderTypeThis field returns type of order, CASH or CARD.
cardTypeThis field returns card type used while ordering.
lastFourThis field returns last four digits of card.
noteThis field returns Additional note added for manually entered note on staff or host page
currencyThis field returns order currency.
timezoneIdThis field returns order timezone
equivalentTimezoneThis field returns order timezone
recurringEventDateThis field returns Recurring event date
orderIdThis field returns order id
deliveryModeThis field returns delivery mode
isSpeakerOrderThis field returns boolean value for whether order for speaker
recordsTotalThis field returns total no of records
recordsFilteredThis field returns total no of filtered

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
200OK
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
40600013Cant create url
4040200Event Not Found
4040100User Not Found
4030101Not Staff User
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

int64
required

This field contains user id.

Query Params
int32
Defaults to 0

Pages are zero indexed, thus providing 0 for page will return the first page.

int32
Defaults to 10

Size will returns number of records when call api default will returns 10 records

int64
Defaults to 0

This field contains recurring event id

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain